package org.jeecg.modules.orderplatform.controller;

import com.alibaba.fastjson.JSONObject;
import com.github.pagehelper.PageInfo;
import org.jeecg.common.api.vo.Result;

import lombok.extern.slf4j.Slf4j;

import org.jeecg.modules.orderplatform.service.IPlatformOperateRecordService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 下单制操作记录
 */

@Slf4j
@RestController
@RequestMapping("/platform/operateRecord")
public class PlatformOperateRecordCtrl {

	@Autowired
	private IPlatformOperateRecordService platformOperateRecordService;

	/**
	 * 操作记录查询
	 */
	@GetMapping(value = "/createDesc")

	public Result<PageInfo<JSONObject>> queryPageList() {
		Result<PageInfo<JSONObject>> result = new Result<>();
		List<JSONObject> operateRecordList= platformOperateRecordService.PageByCreateDesc();
		result.setSuccess(true);
		result.setResult(new PageInfo<>(operateRecordList));
		return result;
	}
}
